
local PATH_COMICS_25_ON_SHOWN               = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_25_ON_WIN                 = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_25_ON_WALKIE_TALKIE       = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_25_MEDICINE_CHEST         = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_25_CLOSE_DOOR             = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('FIELD_PHONE', '', 'walkie_talkie'))
	AddRandomTasks(13,
	           CreateTask('WATCH', '', 'watch'),
               CreateTask('BADGE', '', 'badge'),
               CreateTask('BELT', '', 'belt'),
               CreateTask('BOOTS', '', 'boots'),
               CreateTask('FLASK', '', 'flask'),
               CreateTask('GLOVES', '', 'gloves'),
               CreateTask('GRENADE', '', 'grenade'),
               CreateTask('HAMMER', '', 'hammer'),
               CreateTask('SHACKLES', '', 'handcuffs'),
               CreateTask('HELMET', '', 'helmet'),
               CreateTask('HOOK', 'HOOKS', 'hook_1', 'hook_2', 'hook_3', 'hook'),
               CreateTask('KNIFE', '', 'knife'),
               CreateTask('LANTERN', '', 'lantern'),
               CreateTask('RAINCOAT', '', 'raincoat'),
               CreateTask('THERMOS', '', 'thermos'),
               
               CreateTask('CHISEL', '', 'chisel'),
               CreateTask('DRILL', '', 'drill'),
               CreateTask('LID', '', 'lid'),
               CreateTask('SCISSORS', '', 'scissors')
	)
	pf:IgnoreOnTestPoint('hook 2 over')
	---------------------------------------------------------------------------------------------
	zone_drawer = CreateZoomZone('close_zone_drawer',
                               '',
                               'ZoomDrawerBg',
                               'gun',
                               'L_gun'
							   )
	pf:GetObject('Yashik'):SetOpacity(0)
	---------------------------------------------------------------------------------------------
	pf:IgnoreOnTestPoint('dynamite')
	local function clickOnCover(save)
		pf:GetObject('cover'):SetMaxOpacity(0)
		pf:DoNotIgnoreOnTestPoint('dynamite')
		pf:GetObject('Box'):SetOpacity(0)
		if save then
			pf:GetObject('cover'):SetOpacity(0)
		else
			MakeSoundEntity('25_remove_box_cover'):Play(false)
			pf:GetObject('cover'):ChangeOpacity(1, 0, 0.1)
		end		
	end
	RegisterActiveObject('cover', clickOnCover, false, GetCursorArms())
	---------------------------------------------------------------------------------------------
	pf:GetObject('clock'):SetOpacity(0)
    local apply_action_gun = function(save)
								if pf:HasObject('clock') then
									pf:GetObject('clock'):SetOpacity(1)
								end								
								pf:IgnoreOnTestPoint('pixel_medikit')
								if save then
									pf:GetObject('Apte4ka'):SetOpacity(0)                                    
								else
									MakeSoundEntity('25_medikit'):Play(false)
									
                                    pf:GetObject('pixel_fire_gun'):AddParticleSystem('data/ParticleSystem/fire_gun.psi', pf:GetObject('particles_fire_gun'):GetAnimationPtr())
                                    TimerDo(pf:GetTimer(), 1, function()
                                                                    pf:GetObject('Apte4ka'):ChangeOpacity(1, 0, 0.3)
                                                                end )
								end                                
                             end
    local photo_gun = CreatePhotoZone('gun', 'GUN', 'gun_photo', function() end, 'pixel_medikit', apply_action_gun)
	---------------------------------------------------------------------------------------------	
	local function clickOnDrawer(save)
		if save then
			pf:GetObject('Yashik'):SetOpacity(1)
		else
			MakeSoundEntity('25_drawer'):Play(false)
			pf:GetObject('Yashik'):ChangeOpacity(0, 1, 0.3)
		end		
		RegisterZoomZone(zone_drawer, 'Yashik')
	end
    RegisterActiveObject('pixel_drawer', clickOnDrawer, false, GetCursorArms())
	 ---------------------------------------------------------------------------------------------	
	pf:GetObject('Clock_on_door'):SetOpacity(0)
	pf:GetObject('Door2'):SetOpacity(0)
	pf:GetObject('explosion'):SetOpacity(0)
	pf:GetObject('explosion'):GetAnimation():Stop()
    local apply_action_clock = function(save)								
								if save then
								    pf:GetObject('Clock_on_door'):SetOpacity(1)
								else
									pf:GetObject('Clock_on_door'):ChangeOpacity(0, 1, 0.3)
								end
								
								SetClock()
								if GetDynamite() == false and game_state.photo_dynamite then
								    SetApplyActionPhotoZone(game_state.photo_dynamite, 'pixel_timed_bomb', apply_action_dynamite)
								end
								Explosion(save)
                             end
    local photo_clock = CreatePhotoZone('clock', 'CLOCK', 'clock_photo', nil, 'pixel_timed_bomb', apply_action_clock)
    game_state.photo_clock = photo_clock
	---------------------------------------------------------------------------------------------	
	pf:GetObject('Dinamit'):SetOpacity(0)
    apply_action_dynamite = function(save)
								if save then
									pf:GetObject('Dinamit'):SetOpacity(1)                                    
								else
									MakeSoundEntity('25_place_dynamite'):Play(false)
									pf:GetObject('Dinamit'):ChangeOpacity(0, 1, 0.3)									
								end
								SetDynamite()
								if GetClock() == false and game_state.photo_clock then
								    SetApplyActionPhotoZone(game_state.photo_clock, 'pixel_timed_bomb', apply_action_clock)
								end
								Explosion(save)
                             end
    local photo_dynamite = CreatePhotoZone('dynamite', 'DYNAMITE', 'dynamite_photo', nil, 'pixel_timed_bomb', apply_action_dynamite)
    game_state.photo_dynamite = photo_dynamite
	---------------------------------------------------------------------------------------------
	if GetDynamite() == false then
        SetApplyActionPhotoZone(photo_dynamite, 'pixel_timed_bomb', apply_action_dynamite)
	end
	if GetClock() == false then
        SetApplyActionPhotoZone(photo_clock, 'pixel_timed_bomb', apply_action_clock)
    end
	---------------------------------------------------------------------------------------------
	zone_box = CreateZoomZone('close_zone_box',
                               'pixel_box',
                               'ZoomBoxBg',
                               'dynamite',
                               'cover',
                               
                               'chisel',
                               'drill',
                               'hook',
                               'lid',
                               'scissors'
							   )
	---------------------------------------------------------------------------------------------
	game_state.chain_on_shown = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_25_ON_SHOWN, 'COMICS_25_ON_SHOWN')
	                                             end )
    game_state.chain_on_win = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_25_ON_WIN, 'COMICS_25_ON_WIN')
	                                             end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
    game_state.chain_on_walkie_talkie = RegisterComicsEx(function()
	                                                LoadComics(PATH_COMICS_25_ON_WALKIE_TALKIE, 'COMICS_2_1')
	                                                CreateOneReplicHeroes('COMICS_25_RADIO_1', 1)
                                                    CreateOneSMS('COMICS_25_RADIO_2', 2)
                                                    CreateOneReplicHeroes('COMICS_25_RADIO_3', 3)
                                                    CreateOneSMS('COMICS_25_RADIO_4', 4)
                                                    CreateOneReplicHeroes('COMICS_25_RADIO_5', 5)
	                                             end )
    game_state.chain_on_walkie_talkie.OnHidden = function()
        NotesFound('Notes_15')
        OnWin()
    end
    game_state.chain_medicine_chest = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_25_MEDICINE_CHEST, 'COMICS_25_MEDICINE_CHEST')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_gun, game_state.chain_medicine_chest)
    game_state.chain_close_door = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_25_CLOSE_DOOR, 'COMICS_25_CLOSE_DOOR')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_dynamite, game_state.chain_close_door)
    SetHintComicsPhotoZoneEx(photo_clock, game_state.chain_close_door)	
	
	--I need something to open it with.
	---------------------------------------------------------------------------------------------
	pf:GetObject('bird_in_window'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	PlayAnimationPeriodicallyVsRandDelay(pf:GetObject('bird_in_window'), 10, 20)
	
	pf:GetObject('spider'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	PlayAnimationPeriodicallyVsRandDelay(pf:GetObject('spider'), 10, 20)
	---------------------------------------------------------------------------------------------
end

function SetDynamite()
    local state = game_state.scene_path
    local value = 'SetDynamite'
    if HasGameState(state, value) == false then
        AddGameState(state, value)
    end
end

function GetDynamite()
    local state = game_state.scene_path
    local value = 'SetDynamite'
    return HasGameState(state, value)
end

function SetClock()
    local state = game_state.scene_path
    local value = 'SetClock'
    if HasGameState(state, value) == false then
        AddGameState(state, value)
    end
end

function GetClock()
    local state = game_state.scene_path
    local value = 'SetClock'
    return HasGameState(state, value)
end

function Explosion(save)
    if GetClock() and GetDynamite() then
        local pf = play_field
        if save then
            pf:GetObject('Door2'):SetOpacity(1)
            pf:GetObject('Clock_on_door'):SetOpacity(0)
            pf:GetObject('Dinamit'):SetOpacity(0)
        else
            TimerDo(pf:GetTimer(), 0.3, function()
											pf:GetObject('Clock_on_door'):ChangeOpacity(1, 0, 0.3)
											pf:GetObject('Dinamit'):ChangeOpacity(1, 0, 0.3)
											pf:GetObject('Door2'):ChangeOpacity(0, 1, 0.3)
										end)
            TimerDo(pf:GetTimer(), 0.7, function()
                                            OnWin()
                                        end )
                                        
            pf:GetObject('explosion'):SetOpacity(1)
            local anim_explosion = pf:GetObject('explosion'):GetAnimation()
            anim_explosion:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
            anim_explosion:Play()
			MakeSoundEntity('25_explosion'):Play(false)
        end
    end
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()    
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'walkie_talkie' then
        game_state.chain_on_walkie_talkie:Play()
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       game_state.chain_on_walkie_talkie.played and
       play_field:GetObject('Door2'):GetOpacity() == 1
    then
        game_state.chain_on_win.Play()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Dinamit.png',0,0,87,108,1,0)
	anim:SetHotSpot(43,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dinamit',anim,356,352,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Clock.png',0,0,79,56,1,0)
	anim:SetHotSpot(39,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock_on_door',anim,360,346,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Clock.png',0,0,79,56,1,0)
	anim:SetHotSpot(39,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,915,356,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Apte4ka.png',0,0,128,122,1,0)
	anim:SetHotSpot(64,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Apte4ka',anim,890,338,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/badge.png',0,0,38,41,1,0)
	anim:SetHotSpot(19,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('badge',anim,758,407,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/belt.png',0,0,66,56,1,0)
	anim:SetHotSpot(33,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('belt',anim,995,568,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/boots.png',0,0,78,79,1,0)
	anim:SetHotSpot(39,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boots',anim,988,505,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/flask.png',0,0,89,68,1,0)
	anim:SetHotSpot(44,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flask',anim,710,407,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/gloves.png',0,0,76,62,1,0)
	anim:SetHotSpot(38,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gloves',anim,822,535,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/grenade.png',0,0,94,36,1,0)
	anim:SetHotSpot(47,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('grenade',anim,906,750,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/hammer.png',0,0,121,52,1,0)
	anim:SetHotSpot(60,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,254,166,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/handcuffs.png',0,0,109,78,1,0)
	anim:SetHotSpot(54,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('handcuffs',anim,353,653,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/helmet.png',0,0,121,151,1,0)
	anim:SetHotSpot(60,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helmet',anim,461,692,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/hook_1.png',0,0,93,52,1,0)
	anim:SetHotSpot(46,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook_1',anim,804,367,118,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/hook_2.png',0,0,48,62,1,0)
	anim:SetHotSpot(24,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook_2',anim,657,42,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/hook_3.png',0,0,37,104,1,0)
	anim:SetHotSpot(18,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook_3',anim,813,131,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/knife.png',0,0,56,31,1,0)
	anim:SetHotSpot(28,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife',anim,488,351,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/lantern.png',0,0,52,125,1,0)
	anim:SetHotSpot(26,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lantern',anim,975,57,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/raincoat.png',0,0,88,186,1,0)
	anim:SetHotSpot(44,93)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('raincoat',anim,548,327,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/thermos.png',0,0,68,106,1,0)
	anim:SetHotSpot(34,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('thermos',anim,590,582,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/watch.png',0,0,53,37,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watch',anim,408,579,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/gloves.png',0,0,48,53,1,0)
	anim:SetHotSpot(24,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gloves over',anim,793,547,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/hook 2.png',0,0,53,35,1,0)
	anim:SetHotSpot(26,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook 2 over',anim,659,27,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/hook 3.png',0,0,18,21,1,0)
	anim:SetHotSpot(9,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook 3 over',anim,820,89,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/knife.png',0,0,20,27,1,0)
	anim:SetHotSpot(10,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife over',anim,465,355,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Polka_Yashik.png',0,0,134,111,1,0)
	anim:SetHotSpot(67,55)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Polka_Yashik',anim,766,643,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/raincoat.png',0,0,82,142,1,0)
	anim:SetHotSpot(41,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('raincoat over',anim,553,375,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Yashik.png',0,0,185,153,1,0)
	anim:SetHotSpot(92,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Yashik',anim,826,620,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomDrawer/gun.png',0,0,282,349,1,0)
	anim:SetHotSpot(141,174)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('gun',anim,508,421,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomDrawer/L_gun.png',0,0,109,108,1,0)
	anim:SetHotSpot(54,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_gun',anim,520,573,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomDrawer/ZoomDrawerBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomDrawerBg',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_medikit',anim,915,336,118,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_drawer',anim,818,625,100,0,18,8)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Photo/gun_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun_photo',anim,100,203,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_timed_bomb',anim,337,353,120,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Photo/clock_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock_photo',anim,100,203,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Photo/dynamite_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dynamite_photo',anim,100,203,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/dynamite.png',0,0,227,161,1,0)
	anim:SetHotSpot(113,80)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dynamite',anim,480,476,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/cover.png',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cover',anim,512,383,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/ZoomBoxBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBoxBg',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_box',anim,244,659,105,0,12,8)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Door2.png',0,0,198,323,1,0)
	anim:SetHotSpot(99,161)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Door2',anim,293,357,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Items/walkie_talkie.png',0,0,102,104,1,0)
	anim:SetHotSpot(51,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('walkie_talkie',anim,705,549,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/Box.png',0,0,144,148,1,0)
	anim:SetHotSpot(72,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Box',anim,251,657,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Animations/explosion.png',0,0,261,223,12,25)
	anim:SetHotSpot(130,111)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('explosion',anim,349,321,250,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Animations/bird_in_window.png',0,0,122,16,17,10)
	anim:SetHotSpot(61,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_in_window',anim,793,242,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Animations/spider.png',0,0,186,106,32,10)
	anim:SetHotSpot(93,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spider',anim,591,719,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/Layers/L_Door2.png',0,0,185,85,1,0)
	anim:SetHotSpot(92,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Door2',anim,305,495,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/items/chisel.png',0,0,31,127,1,0)
	anim:SetHotSpot(15,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('chisel',anim,594,482,750,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/items/drill.png',0,0,109,140,1,0)
	anim:SetHotSpot(54,70)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('drill',anim,728,525,750,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/items/hook.png',0,0,42,62,1,0)
	anim:SetHotSpot(21,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('hook',anim,541,590,750,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/items/lid.png',0,0,55,57,1,0)
	anim:SetHotSpot(27,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lid',anim,274,573,750,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_Krim_/ZoomBox/items/scissors.png',0,0,77,66,1,0)
	anim:SetHotSpot(38,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('scissors',anim,787,584,750,0,1,1)
	local anim = CreateAnimation('data/Texture/Effect/particles.png',64,96,32,32,1,0)
	anim:SetHotSpot(16,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('particles_fire_gun',anim,107,575,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_fire_gun',anim,935,367,200,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
